// PaintView.h : interface of the CPaintView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PAINTVIEW_H__4ADBB613_B3A5_11D1_87D4_00A0C9062ECB__INCLUDED_)
#define AFX_PAINTVIEW_H__4ADBB613_B3A5_11D1_87D4_00A0C9062ECB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

enum MouseTracking {
	None, Left, Right 
};

class CPaintView : public CScrollView
{
protected: // create from serialization only
	CPaintView();
	DECLARE_DYNCREATE(CPaintView)

// Attributes
public:
	CImpressionistDoc* GetDocument();
	HGLRC m_hRC;
	HDC m_hDC;

	GLvoid* m_pPaintBitstart;
	int m_nDrawWidth, m_nDrawHeight;
	int m_nStartRow, m_nEndRow;
	int m_nStartCol, m_nEndCol;
	int m_nWindowWidth, m_nWindowHeight;

	MouseTracking m_mtTracking;

// Operations
public:
	BOOL InitializeOpenGL( void );
	void InitializeGL( void );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPaintView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPaintView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPaintView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PaintView.cpp
inline CImpressionistDoc* CPaintView::GetDocument()
   { return (CImpressionistDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAINTVIEW_H__4ADBB613_B3A5_11D1_87D4_00A0C9062ECB__INCLUDED_)
